### File

`projects/app-base-library/src/lib/shared/server.ts`

### Extends

`Base`

### Index

###### Properties

- Private _environment
- Private _settings
- Public settings

###### Methods

- Protected init

### Constructor

`constructor(settings: any)`
Defined in projects/app-base-library/src/lib/shared/server.ts:4

Parameters :

Name | Type | Optional
settings | `any` | no

### Properties

Private _environment
`_environment: `any``
Type : `any`
Default value : `{ type: 'js', namespace: '_abl'}`
Inherited from `Base`
Defined in Base:8

Private _settings
`_settings: `any``
Type : `any`
Default value : `{}`
Inherited from `Base`
Defined in Base:9

Public settings
`settings: `any``
Type : `any`
Default value : `{}`
Inherited from `Base`
Defined in Base:10

### Methods

Protected init
`init(settings: any)`
Inherited from `Base`
Defined in Base:35

Parameters :

Name | Type | Optional
settings | `any` | no

Returns : `any`

    import { Base } from './base';
    // import { Util } from './index';

    export class Server extends Base {

        constructor(settings: any = {}) {
            super();
            this.settings = settings;
        }

    }

# results matching ""

# No results matching ""